#include <stdio.h>
#include <expat.h>
#define BUFFSIZE        8192


static void startElement(void *cargo, const char *el,
                                      const char **attr) {
   int i;
   printf("<%s", el);
   for (i=0; attr[i]; i+=2)
      printf(" %s=\"%s\"", attr[i], attr[i+1]);
   //if(*attr) printf(" ");
   printf(">");
}


static void endElement(void *cargo, const char *el) {
   printf("</%s>", el);
}


static void characters(void *cargo, const char *ch, int len) {
	int i;
	for (i=0; i < len; i++) printf("%c", ch[i]);

}


int main(int argc, char *argv[]) {
   char Buff[BUFFSIZE];
   XML_Parser parser = XML_ParserCreate(NULL);
   XML_SetElementHandler(parser, startElement, endElement);
   XML_SetCharacterDataHandler(parser, characters);
   for (;;) {
      int len  = fread(Buff, 1, BUFFSIZE, stdin);
      int done = feof(stdin);
      if (! XML_Parse(parser, Buff, len, done))
        exit(-1);
      if (done) break;
   }
   printf("\n");
   return 0;
}

