/** 
 *   blob_test: test de lectura de los bloques <BLOB>..</BLOB> fuera del
 *   header xml
 *
 *   (c) Copyright 2010 Federico Bareilles <bareilles@gmail.com>,
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *   
 **/

#define _GNU_SOURCE

#include <stdio.h>
#include <stdlib.h>

#include "blob.h"

int main(int argc, char **argv)
{
	struct blob *bl, *blp;
	int count;

	if (argc != 2)
		exit(EXIT_FAILURE);

	if ((count = blob_get_file (argv[1], &bl)) > 0) {
		printf("Read %d blob data areas.\n", count);
		for(blp = bl; blp != NULL; blp = blp->next) {
			//blob_uncompress(blp);
			printf("BLOB id: %2d, size: %6d, compress: %d\n",
			       blp->id,blp->size,blp->compress_flag);
#if 0
			blob_compress(blp);
			printf("BLOB id: %2d, size: %6d, compress: %d\n",
			       blp->id,blp->size,blp->compress_flag);
#endif
		}
		//blob_print(stdout, bl, 1);
		free_blob_all(bl);
	} else {
		exit(EXIT_FAILURE);
	}	

	exit(EXIT_SUCCESS);
}
